-- Dumped from database version 15.1
-- Dumped by pg_dump version 15.1

-- Started on 2022-11-27 10:01:17

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- TOC entry 215 (class 1259 OID 16400)
-- Name: lesson22; Type: TABLE; Schema: hardknock; Owner: postgres
--

DROP TABLE IF EXISTS public.lesson22;

CREATE TABLE public.lesson22 (
    line_no integer NOT NULL,
    entry_date date DEFAULT CURRENT_DATE,
    entry_time timestamp with time zone DEFAULT CURRENT_TIMESTAMP,
    text_line character varying(250)
);


ALTER TABLE public.lesson22 OWNER TO postgres;

--
-- TOC entry 214 (class 1259 OID 16399)
-- Name: lesson22_line_no_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

DROP SEQUENCE IF EXISTS public.lesson22_line_no_seq;

CREATE SEQUENCE public.lesson22_line_no_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.lesson22_line_no_seq OWNER TO postgres;

--
-- TOC entry 3327 (class 0 OID 0)
-- Dependencies: 214
-- Name: lesson22_line_no_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.lesson22_line_no_seq OWNED BY public.lesson22.line_no;


--
-- TOC entry 3173 (class 2604 OID 16403)
-- Name: lesson22 line_no; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.lesson22 ALTER COLUMN line_no SET DEFAULT nextval('public.lesson22_line_no_seq'::regclass);


--
-- TOC entry 3321 (class 0 OID 16400)
-- Dependencies: 215
-- Data for Name: lesson22; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.lesson22 (line_no, entry_date, entry_time, text_line) FROM stdin;
1	2022-11-27	2022-11-27 09:55:20.813813+02	Shoo-ba-dee, Shoo-ba-dee
2	2022-11-27	2022-11-27 09:55:20.813813+02	Cannonball Adderly
3	2022-11-27	2022-11-27 09:55:20.813813+02	Came on the scene
4	2022-11-27	2022-11-27 09:55:20.813813+02	Like a bolt from the blues.
5	2022-11-27	2022-11-27 09:55:20.813813+02	His popularity
6	2022-11-27	2022-11-27 09:55:20.813813+02	Coincidentally
7	2022-11-27	2022-11-27 09:55:20.813813+02	Left me more leisure for
8	2022-11-27	2022-11-27 09:55:20.813813+02	Romance and booze.
9	2022-11-27	2022-11-27 09:55:20.813813+02	
10	2022-11-27	2022-11-27 09:55:20.813813+02	-- Paul Desmond
\.

 UPDATE public.lesson22 set text_line = null where length(text_line) < 1;


--
-- TOC entry 3328 (class 0 OID 0)
-- Dependencies: 214
-- Name: lesson22_line_no_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.lesson22_line_no_seq', 10, true);


--
-- TOC entry 3177 (class 2606 OID 16407)
-- Name: lesson22 lesson22_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.lesson22
    ADD CONSTRAINT lesson22_pkey PRIMARY KEY (line_no);


-- Completed on 2022-11-27 10:01:18

--
-- PostgreSQL database dump complete
--

SELECT * FROM public.LESSON22 ORDER BY 1;